Bug 1972009 - [REF]Image registry pullthough should support pull image from the mirror registry with auth via imagecontentsourcepolicy
Summary: [REF]Image registry pullthough should support pull image from the mirror regi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.9.0
Assignee: Ricardo Maraschini
QA Contact: XiuJuan Wang
URL:
Whiteboard:
: 2009788 (view as bug list)
Depends On:
Blocks: 2012163
TreeView+ depends on / blocked
 
Reported: 2021-06-15 02:40 UTC by XiuJuan Wang
Modified: 2021-10-21 11:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:34:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift image-registry pull 281 0 None open Bug 1972009: Credentials store factory 2021-06-18 08:33:02 UTC
Github openshift library-go pull 1109 0 None open Bug 1972009: Implementing CredentialStoreFactory 2021-06-18 08:31:07 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:34:38 UTC

Description XiuJuan Wang 2021-06-15 02:40:22 UTC
Description of problem:
See the details on https://bugzilla.redhat.com/show_bug.cgi?id=1918376#c12


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a restricted cluster
2.Mirror image to mirror registry
3.Create pullthough imagestream
4.Deploy pod using the pullthough imagestream

Actual results:
When pull image promot "no basic auth credentials" error.
"Get "https://wxj-611icsp.mirror-registry.qe.gcp.devcluster.openshift.com:5000/v2/ci-ln-6k1tlwb/release/manifests/sha256:a971163b9115c42b393852c6f9acf4cda84c9368b54e474185e33d1b65505cfa": no basic auth credentials"


Expected results:

Image registry pullthough should support pull image from the mirror registry with auth via imagecontentsourcepolicy

Additional info:

Comment 4 XiuJuan Wang 2021-08-31 03:38:26 UTC
Test on 4.9.0-0.nightly-2021-08-30-192239 disconnect cluster.

Steps to validate:
1.Create a restricted cluster
2.Mirror image to mirror registry
3.Create pullthough imagestream
4.Deploy pod using the pullthough imagestream

Comment 6 Oleg Bulatov 2021-10-07 10:54:40 UTC
*** Bug 2009788 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2021-10-18 17:34:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.